﻿using System.Data.Entity;
using System.Data.Entity.ModelConfiguration.Conventions;

namespace WineCloudWebApi.Models
{
  public class WineDbContext : DbContext
  {
    public WineDbContext() : base("name=WineDbContext") { }

    public DbSet<Wine> Wines { get; set; }

    protected override void OnModelCreating(DbModelBuilder modelBuilder)
    {
      base.OnModelCreating(modelBuilder);
      modelBuilder.Conventions.Remove<PluralizingTableNameConvention>();
    }
  }
}
